package com.zm.order.tool.server.dto;

import com.zm.order.tool.server.model.*;

import java.util.List;

/**
 * @author zhuxiaofeng
 * @packageName: com.zm.order.tool.server.dto
 * @className: OrderInfoList
 * @date 2023/10/11 18:06
 */
public class OrderInfoList {


    private List<Order> orderList;

    private List<OrderItem> itemList;

    private List<OrderDiscount> discountList;

    private List<OrderPayDetails> payDetailsList;

    private List<OrderAddr> orderAddrList;

    private List<Refund> refundList;

    private List<OrderRefundDetails> orderRefundDetails;

    private List<OrderIndex> orderIndexList;

    private List<OrderItemBatching> itemBatchingList;

    private List<PerformanceSelfTake> selfTakeList;

    public List<PerformanceSelfTake> getSelfTakeList() {
        return selfTakeList;
    }

    public void setSelfTakeList(List<PerformanceSelfTake> selfTakeList) {
        this.selfTakeList = selfTakeList;
    }

    public List<OrderItemBatching> getItemBatchingList() {
        return itemBatchingList;
    }

    public void setItemBatchingList(List<OrderItemBatching> itemBatchingList) {
        this.itemBatchingList = itemBatchingList;
    }

    public List<OrderIndex> getOrderIndexList() {
        return orderIndexList;
    }

    public void setOrderIndexList(List<OrderIndex> orderIndexList) {
        this.orderIndexList = orderIndexList;
    }

    public List<Order> getOrderList() {
        return orderList;
    }

    public void setOrderList(List<Order> orderList) {
        this.orderList = orderList;
    }

    public List<OrderItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<OrderItem> itemList) {
        this.itemList = itemList;
    }

    public List<OrderDiscount> getDiscountList() {
        return discountList;
    }

    public void setDiscountList(List<OrderDiscount> discountList) {
        this.discountList = discountList;
    }

    public List<OrderPayDetails> getPayDetailsList() {
        return payDetailsList;
    }

    public void setPayDetailsList(List<OrderPayDetails> payDetailsList) {
        this.payDetailsList = payDetailsList;
    }

    public List<OrderAddr> getOrderAddrList() {
        return orderAddrList;
    }

    public void setOrderAddrList(List<OrderAddr> orderAddrList) {
        this.orderAddrList = orderAddrList;
    }

    public List<Refund> getRefundList() {
        return refundList;
    }

    public void setRefundList(List<Refund> refundList) {
        this.refundList = refundList;
    }

    public List<OrderRefundDetails> getOrderRefundDetails() {
        return orderRefundDetails;
    }

    public void setOrderRefundDetails(List<OrderRefundDetails> orderRefundDetails) {
        this.orderRefundDetails = orderRefundDetails;
    }
}
